Schedule query
curl --request POST \
--url https://api.example.com/api/dataeng/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mode": "<string>",
"table": "<string>",
"schema_name": "<string>",
"query_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merge_columns": "<string>",
"schedule": "<string>",
"owner_id": "<string>",
"domain": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/dataeng/schedule"
payload = {
"mode": "<string>",
"table": "<string>",
"schema_name": "<string>",
"query_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merge_columns": "<string>",
"schedule": "<string>",
"owner_id": "<string>",
"domain": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mode: '<string>',
table: '<string>',
schema_name: '<string>',
query_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
merge_columns: '<string>',
schedule: '<string>',
owner_id: '<string>',
domain: '<string>',
tags: ['<string>']
})
};
fetch('https://api.example.com/api/dataeng/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"flow_url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Engineer
Schedule query
Schedule a query to run on a cron schedule. Returns flow detail.
POST
/
api
/
dataeng
/
schedule
Schedule query
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Defines how the job writes query output to the target table. Valid values: append, overwrite, or merge.
The target table where the job stores results.
The schema containing the target table.
A unique ID of the already generated query.
Columns used to match and merge data. Specify only if mode is merge.
A cron expression specifying when or how often the query runs.
The logged in user's email ID.
The domain to assign to the dataset in DataHub.
Tags to assign to the dataset in DataHub.
Was this page helpful?
⌘I

